> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/set-rdmpersonalcredentials.md).

# Set-RDMPersonalCredentials

Set-RDMPersonalCredentials legt persönliche Anmeldeinformationen für den aktuellen Remote Desktop Manager-Benutzer fest und aktualisiert Benutzername, Passwort oder Domäne direkt.

### Übersicht

Persönliche RDM-Anmeldeinformationen festlegen.

### Syntax

#### UsernamePassword

```
Set-RDMPersonalCredentials [[-Username] <string>] [[-Password] <securestring>]
 [[-AlwaysAskPassword] <bool>] [[-Domain] <string>] [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

#### FromPersonalCredentials

```
Set-RDMPersonalCredentials [[-Session] <PSConnection>] [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Beschreibung

Persönliche RDM-Anmeldeinformationen festlegen. Legen Sie den Typ Benutzername/Passwort direkt fest oder ändern Sie das Ergebnis von Get-RDMPersonalCredentials. Um ein Mitglied zu ändern, das mit Safe beginnt, legen Sie die Eigenschaft ohne das Safe fest. Unter Windows verhindert die Richtlinie DisableMyPersonalCredentials die Verwendung dieses Cmdlets.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $pwd = Read-Host -AsSecureString; Set-RDMPersonalCredentials username domain $pwd
```

Persönliche RDM-Anmeldeinformationen des Typs Benutzername/Passwort festlegen.

#### Beispiel 2

```powershell
PS C:\> $perso = Get-RDMPersonalCredentials; $perso.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $perso.Credentials.SecretServerUsername = 'aPassword'; $perso.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPersonalCredentials -Session $perso
```

Die persönlichen Anmeldeinformationen abrufen. Die Werte für Domäne, Passwort und Benutzername des Secret Servers ändern. Die Änderungen speichern. Die Passwortänderung ist an der Wertänderung des Feldes SafeSecretServerPassword erkennbar.

### Parameter

#### -AlwaysAskPassword

Legt die Option "Immer nach Passwort fragen" in den persönlichen Anmeldeinformationen fest

```yaml
Type: System.Nullable`1[System.Boolean]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Domain

Legt die Domäne in den persönlichen Anmeldeinformationen fest

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Mit Vorsicht zu verwendender Schalter. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die zulässigen Werte:

* Yes: Die Eingabeaufforderung akzeptieren. Deckt die Werte OK und Automatic ab.
* No: Die Ja/Nein/Abbrechen-Eingabeaufforderung ablehnen. "Cancel" ist die Ausweichoption, wenn keine "No"-Option vorhanden ist.
* Cancel: Die Ja/Nein/Abbrechen-Eingabeaufforderung abbrechen. "No" ist die Ausweichoption, wenn keine "Cancel"-Option vorhanden ist.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Legt das Passwort in den persönlichen Anmeldeinformationen fest

```yaml
Type: System.Security.SecureString
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Session

Die von Get-RDMPersonalCredentials erhaltenen Anmeldeinformationen.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: FromPersonalCredentials
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Username

Legt den Benutzernamen in den persönlichen Anmeldeinformationen fest

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Set-RDMPersonalCredentials -detailed". Technische Informationen erhalten Sie mit "Get-Help Set-RDMPersonalCredentials -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/set-rdmpersonalcredentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
